ELF interprefer issue with WGXepc



  • I've got a WatchGuard Firebox XTM 525 running pfSense 2.3.4. I just installed it today. The first thing I wanted to do was install WGXepc so I can control the fan speed and LEDs. Unfortunately I cannot due to an issue I'm getting with running the installation executable for WGXepc. I am following the instructions available at the Wiki: https://doc.pfsense.org/index.php/PfSense_on_Watchguard_Firebox#Controlling_hardware_with_WGXepc

    I get the error:```
    ELF interprefer /libexec/ld-elf.so.l not found, error 8
    Abort

    when I try running```
    ./WGXepc -f 10
    

    I have verified that the file it's referencing exists, I'm in read-write mode, and I have sufficient permissions. My best guess is that this is something due to incompatibility with a 32 bit package on 64 bit BSD. I have the source code on my desktop, but I'm not sure if recompiling it for 64 bit would make it magically work. Has anyone had this problem and could you provide some insight? I'm at a loss here and I really want to control my fans since they're running 100% all the time.



  • I'm a moron. There is a 64 bit version available here: fetch -o /conf https://sites.google.com/site/pfsensefirebox/home/WGXepc64

    This should fix any issues in case someone Googles this.


Log in to reply